# EvInventory

## Reducing Stock Levels

If building an application with custom inventories integration then you can use the following code as a basis to trigger the reduction of inventory stock levels.

	if (CakePlugin::loaded('EvInventory')) {
		// dispatch event to lower stock levels
		$this->getEventManager()->dispatch(
			new CakeEvent('EvInventory.Inventory.reduce', $this, array(
				'model' => $item['model'],
				'model_id' => $item['model_id'],
				'quantity' => $item['quantity']
			))
		);
	}

If called from a component, change the line `$this->getEventManager()->dispatch` to `$this->_controller->getEventManager()->dispatch`.

The event always requires the 3 parameters above. If any are missing in any combination the event will fail to run correctly.


## Events

### EvInventory.Behavior.Inventory.saved

Called by the behavior when the inventory items are updated by the product (e.g. when stock levels are updated)

The `subject` for the event is the Model that the behaviour is attached to.

#### Parameters

n/a
